#
# Copyright (C)2022 @BABOLO http://www.babolo.ru/
# pkg = lrwi-textcase
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: text.pleaf.m4,v 1.2 2022/10/09 02:22:11 babolo Exp $
#
# 

eval
#select  1002
SELECT SQNM(text).SQAT(text), SQNM(text).SQAT(parm)
 FROM SQNM(x) JOIN SQNM(text) ON(SQNM(x).SQAT(m) == SQNM(text).SQAT(text))
;
#select  _012
SELECT SQNM(text).SQAT(head)     AS head
     , SQNM(text).SQAT(sub)      AS sub
     , SQNM(fullattr).SQAT(attr) AS attr
 FROM SQNM(text) LEFT JOIN SQNM(fullattr) USING(SQAT(text))
 WHERE SQNM(text).SQAT(text) == ?1
;
#style   00y00_
text
#display 00_00_
#close   _0_00_
#select  _012
SELECT SQNM(demo).SQAT(exec)
 FROM SQNM(text) JOIN SQNM(demo) USING(SQAT(demo))
 WHERE SQNM(text).SQAT(text) == ?1
;
#eval    0_
#close   _0_00_
#select  _01_
SELECT CINM(x).CIAT(sess)  AS sess
     , CINM(pnode).CIAT(p) AS page
     , ?                   AS text
     , ?                   AS parm
 FROM CINM(x), CINM(pnode)
 WHERE CINM(pnode).CIAT(m) == 'BASE' AND CINM(pnode).CIAT(v) == 'oled'
;
#close   101
#select  10_2
SELECT CASE WHEN SQNM(lede).SQAT(vizi) THEN ?1 END                    AS sess
     , CASE WHEN SQNM(lede).SQAT(vizi) THEN ?2 END                    AS page
     , SQNM(part).SQAT(name)                                          AS part
     , CASE WHEN SQNM(lede).SQAT(vizi) THEN SQNM(lede).SQAT(lede) END AS lede
     , SQNM(lede).SQAT(lf)                                            AS lf
     , SQNM(lede).SQAT(li)                                            AS li
     , SQNM(lede).SQAT(lo)                                            AS lo
     , CASE WHEN SQNM(lede).SQAT(vizi) THEN '' END                    AS vizi
 FROM SQNM(text)
  JOIN SQNM(textpart) USING(SQAT(text))
  JOIN SQNM(part) USING(SQAT(part))
  JOIN SQNM(lede) USING(SQAT(lede))
 WHERE SQNM(text).SQAT(text) == ?3
;
#style   00y00_
part
#display 00100_
#close   _0_00_
#close   101
